part of 'test_set_new_bloc.dart';

abstract class TestSetNewEvent extends Equatable {
  const TestSetNewEvent();

  @override
  List<Object> get props => [];
}

class TestSetNewLoad extends TestSetNewEvent {
  const TestSetNewLoad();
}

class TestSetNewChangeQuantity extends TestSetNewEvent {
  final double quantity;
  const TestSetNewChangeQuantity({required this.quantity});

  @override
  List<Object> get props => [quantity];
}

class TestSetNewChangeQuantityUnit extends TestSetNewEvent {
  final double quantity;
  const TestSetNewChangeQuantityUnit({required this.quantity});

  @override
  List<Object> get props => [quantity];
}

class TestSetNewSubmit extends TestSetNewEvent {
  const TestSetNewSubmit();
}
